package main

import (
	"gopkg.in/gographics/imagick.v3/imagick"
	"img/app/config"
	"img/app/lib/logger"
)

// 初始化

func initApp() (closes []func()) {
	// 关闭资源
	closes = []func(){}
	// 初始化配置文件
	config.InitConfig(&config.IniConfig{
		ConfigPath: "config",
		RunModel:   "test",
	})

	// 初始化日志
	logger.InitLogger(&logger.LoggerConfig{
		Director:      "log",
		Level:         logger.DebugLevel,
		ShowLine:      true,
		StacktraceKey: "",
		LinkName:      "",
		LogInConsole:  true,
		EncodeLevel:   logger.LowercaseColorLevelEncoder,
		Prefix:        "",
	})

	// imagick服务
	imagick.Initialize()
	// 关闭资源
	closes = append(closes, func() {
		defer imagick.Terminate()
	})
	return
}
